import os
import tempfile
import shutil

def eval(env, data_row):
    
    env.run_command('git diff --no-color --unified > /workspace/diff.patch', workdir = '/testbed')
    # breakpoint()
    with tempfile.NamedTemporaryFile(mode='w+b', delete=False) as temp_file: env.copy_from_container('/workspace/diff.patch', temp_file.name)
    with open(temp_file.name, 'r') as f: diff_patch = f.read()
    return diff_patch
